Subject: bug#5365: 23.1.91; Wrong type argument: keymapp, ("DEAD" . 35215396)

From: Sven Joachim <[email-masked]>
Date: Tue, 12 Jan 2010 15:58:04 +0100

Today I've built and installed an emacs-snapshot package for Debian, and
I'm seeing this:

,----
| % emacs -Q
| Wrong type argument: keymapp, ("DEAD" . 35215396)
| % echo $?
| 255
`----

Unfortunately this is a Heisenbug, I'm not able to reproduce it under
gdb.  It even depends on the exact contents of argv[0], i.e. running
"/usr/bin/emacs -Q" or "emacs-snapshot -Q" does not show the error.

A similar issue has been reported against Debian's emacs23 package, see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550170.  The most
valuable message there is probably
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550170#26.

In GNU Emacs 23.1.91.1 (i486-pc-linux-gnu, GTK+ Version 2.18.5)
 of 2010-01-12 on turtle, modified by Debian
 (emacs-snapshot package, version 1:20100112-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10703902
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.1.91/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1.91/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t